#ifndef _XGCPCOMMON_H
#define _XGCPCOMMON_H

/*  Any include files neede */
#include <config.h>

#include "mibincl.h"
#include "util_funcs.h"
#include <time.h>
#include "VovidaSnmpUtil.h"
#include "TrapAgentC.hxx"
#include "TrapAgent.hxx"
#include "Common.h"   

#define TABLE_SIZE 1    

/* function prototypes */

enum voReturnStatus
requestXgcpCounter(int reqObject, ulong *counterVal, int port);

enum voReturnStatus
requestXgcpString(int reqObject, char *outBuff, int strLen, int port);

ulong
header_xgcp_table(struct variable *vp, oid *name, size_t *length, int exact, size_t *var_len, WriteMethod **write_method, int maxOidLen);                 

#endif  /* _XGCPCOMMON_H  */
