#!/bin/bash
#

print="echo -e"
ls=$(which ls)

SUMMARY=1

SEP=\
"______________________________________________________________________________\n"

if [ "$1" != "" ]
then
    SUMMARY=0
fi

SYSTEM=$(uname -s)
MACHINE=$(uname -m)

BIN_DIR=./bin.debug.${SYSTEM}.${MACHINE}

BIN="$($ls -1 ${BIN_DIR}/*)"

date
$print $SEP
if [ -x ${BIN_DIR}  ]
then
    for i in ${BIN}
    do
        $print "${i}"
        if [ "$SUMMARY" = "1" ]
        then
            ${i} 2>&1 | egrep "Summary"
        else
            ${i} 2>&1
        fi
    $print $SEP
    done
fi
