#ifndef STRINGHASH_HXX
#define STRINGHASH_HXX

static const char* const StringHash_hxx_Version = "$Id: StringHash.hxx,v 1.5 2002/04/16 19:34:31 jason Exp $";

#include "global.h"
#include <string>

#if defined(__GNUC__) && (__GNUC__ < 3)
#include <hash_map>
#else
#include <ext/hash_map>
#endif

class StringHash
{
    public:
        unsigned long int operator() ( const string& src ) const
        {
            hash < const char* > a;
            return ( a(src.c_str()) );
        }
};

#endif // STRINGHASH_HXX
