# Environment variables needed by the Redirect Server to communicate
# with the Provisioning Server.
export VPS_PORT=6005
export VLISTENER_PORT=6006
export VLOG_LEVEL=7
export VPS_SERVER=bass

# Location of the provisioning data on your local machine.
# Obtain example files from the Provisioning team.
# Once added you may need to do the following to force the files to sync correctly:
# cd /usr/local
# chattr +S -R /usr/local/provisioning_data
export VCONFIG_DIR=/usr/local/provisioning_data/Config
export VLOG_FILE_NAME=/usr/local/provisioning_data/Logs/pserver_log
export VPS_FILESYSTEM=/usr/local/provisioning_data

# Environment variable needed for the Provisioning Server GUI
export CLASSPATH=/home/marcl/dev/vovida/provisioning/java/lib/psClient.jar:/usr/local/jdk1.2.2/jre/lib/rt.jar
export PATH=/usr/local/jdk1.2.2/bin:$PATH
